#include "cell.h"
#include "main.h"

/** Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */

Cell::Cell() {}

void Cell::init(int x,int y) {
  this->x = x;
  this->y = y;

  this->capacity=1;
  this->count=0;
  this->stones = new Stone*[1];
}

Cell::~Cell() {
}

void Cell::add(Stone *s) {
  /* first check if it was there already */
  for (int i=0;i<count;i++) {
    if (stones[i] == s) return;
  }
  
  /* couldn't find it */

  /* increase the array capacity if needed */
  if (count==capacity) {
    Stone **n = new Stone*[capacity+5];
    memcpy(n,stones,capacity*sizeof(Stone*));
    capacity = capacity+5;
    free(stones);
    stones = n;
  }

  /* I'm reinventing the wheel and it makes me sad */  

  stones[count] = s;
  count++;
}

void Cell::remove(Stone *s) {
  bool shifting=false; // set to true as soon as
  for (int i=0;i<count;i++) {
    if (stones[i] == s) shifting = true;      
    
    if (shifting && (i+1)<count) {
      stones[i] = stones[i+1];
    }
  }
  if (shifting) count--;
}

int Cell::getX() {
  return x;
}

int Cell::getY() {
  return y;
}
