#ifndef CELL_H
#define CELL_H

class Cell;

/** A fixed position on the screen, that may contain a stone

    Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */


#include "stone.h"

class Cell {
 public:
  
  /* x and y are the coordinates on the screen */
  Cell();
  void init(int x,int y);
  ~Cell();

/*   void render(); */
/*   void update(double t); */

  /** Put the stone in this cell if it wasn't already there. */
  void add(Stone *s);

  /** Remove a stone that was in that cell, if any */
  void remove(Stone *s);

  int getX();
  int getY();

 private:
  
  /* how much space is allocated */
  int capacity;
  /* how many stones are actually in the array */
  int count;
  /* The stones contained in this cell */
  Stone **stones;

  int x;
  int y;
};

#endif
