#include "dynamo.h"

/** Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */

#include "base.h"
#include "main.h"

Dynamo::Dynamo(unsigned int id) : Stone(id) {
  force=0;
}

Dynamo::~Dynamo() {}

void Dynamo::update(double t, Level *lvl) {
  Stone::update(t,lvl);
  force -= t;
  if (force<0) force=0;
}

void Dynamo::render() {
  glColor3f(0.7f,0.7f,0.0f);
  if (!render0()) return;

  glPushMatrix(); {
    glTranslatef(x,y,0);

    glBegin(GL_QUADS);
    glColor3f(0,0,0);
    glNormal3f(0,0,1);
    for (int i=0;i<force;i++) {
      glColor3f(i/10.0,0,0);
      glVertex3f(i*0.085+0.05, 0.1, 0.51);
      glVertex3f(i*0.085+0.08,0.1, 0.51);
      glVertex3f(i*0.085+0.08,0.3, 0.51);
      glVertex3f(i*0.085+0.05, 0.3, 0.51);
    }
    glEnd();

  } glPopMatrix();
}

bool Dynamo::trigger(Littlecube *b) {
  if (tforce>force) force = tforce;
  //  force += tforce;
  if (tforce > 10) {
    force=10;
    kill();
    return true;
  } else {
    click[rand()%4].play();
        return false;
  }
}

double Dynamo::check_collision(double x,double y,double dx,double dy, double *n, double *v,bool triggers) {
  double d = Stone::check_collision(x,y,dx,dy,n,v,triggers);
  if (d!=2) {
    tforce = - (n[0]*dx + n[1]*dy)*30; // perpendicular speed
  }

  return d;
}
