/** Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */

#ifndef MAIN_H
#define MAIN_H

#define FADETIME 1.5

#include "base.h"
#include "pad.h"
#include "sound.h"
#include "level.h"
#include "camera.h"
#include "server.h"

/** The Pixel Format flags */
extern int VideoFlags;
/** Our Drawable portion of the window */
extern SDL_Surface * mainWindow;

/* Defined and initialised in init.cpp */
extern int screen_width;
extern int screen_height;
/* This is the field of view ratio (of angles), not the screen ratio
   (of pixels) */
extern double screen_ratio;

//extern GLuint tex_id;

/* Texture for the powerups. Will have a nice texture array
   sometime */
extern GLuint extra_tex;
extern GLuint fire_tex;
extern GLuint wide_tex;

extern Sound click[4]; // the sound it makes when you hit a stone (but
		       // it doesn't break)
extern Sound crack[4]; // the sound it makes when you break a stone

extern Sound *tock; // the sound it makes when you hit the paddle

extern Level *level;

extern SDL_Joystick *joy;

extern double joyx,joyy; // current joystick position, (0,0) being neutral

extern Server *connection;

//extern int levelnum;
/* this is set to true by level, and tested in the body function. */
//extern bool levelDone;


/** program main loop */
void body(void);

/** This initializes the whole program. */
bool init(int argc,char *argv[]);

#endif  // MAIN_H
