#include "shallow.h"

/** Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */

Shallow::Shallow(unsigned int id) : Stone(id) {
  activated = false;
}

Shallow::~Shallow() {}

double Shallow::check_collision(double x,double y,double dx,double dy, double *n, double *v,bool triggers) {
  double d = Stone::check_collision(x,y,dx,dy,n,v,triggers);
  if (d != 2 && triggers) {
    if (activated) {
      activated = false;
      return 2;
    } else {
      /* reverse the normals, so the "shallow" is captures anything that
	 touches it, until activated */
      n[0] = -n[0];
      n[1] = -n[1];
    }
  }
  return d;
}

void Shallow::render() {
  glPushMatrix(); {
    glTranslatef(getX(),getY(),0);
    glBegin(GL_LINE_LOOP);
    glColor3f(1,1,1);
    glNormal3f(0, 0, 1);
    glVertex3f(0.1, 0.1, 0.25);
    glVertex3f(0.9, 0.1, 0.25);
    glVertex3f(0.9, 0.9, 0.25);
    glVertex3f(0.1, 0.9, 0.25);
    glEnd();
  } glPopMatrix();
}

bool Shallow::breakable() {
  return false;
}

bool Shallow::trigger(Littlecube *b) {
  return false;
}

void Shallow::activate() {
  activated = true;
}
