#ifndef SHALLOW_H
#define SHALLOW_H

#include "stone.h"
#include "level.h"

/* Looks invisible to things that trigger (like the ball) but like
   unbreakable to other things (like moving stones)

   Copyright (C) 2010 Maxime Gamboni. See COPYING for
   copying/warranty info. */


class Shallow : public Stone {
 public:
  Shallow(unsigned int id);
  ~Shallow();

  double check_collision(double x,double y,double dx,double dy, double *n, double *v,bool triggers=false);

  bool breakable();

  bool trigger(Littlecube *b);

  void activate();

  void render();

 private:
  bool activated;
};

#endif
